Commit ddfcbd5f authored by Philip Carns's avatar Philip Carns
Browse files

relax pwd restrictions

parent 48173bc1
...@@ -13,6 +13,8 @@ export DARSHAN_PLATFORM=$3 ...@@ -13,6 +13,8 @@ export DARSHAN_PLATFORM=$3
# number of procs that most test jobs will use # number of procs that most test jobs will use
export DARSHAN_DEFAULT_NPROCS=4 export DARSHAN_DEFAULT_NPROCS=4
BASEDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
# check darshan path # check darshan path
if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then if [ ! -x $DARSHAN_PATH/bin/darshan-parser ]; then
echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2 echo "Error: $DARSHAN_PATH doesn't contain a valid Darshan install." 1>&2
...@@ -34,45 +36,45 @@ if [ ! -w $DARSHAN_TMP ]; then ...@@ -34,45 +36,45 @@ if [ ! -w $DARSHAN_TMP ]; then
fi fi
# make sure that we have sub-scripts for the specified platform # make sure that we have sub-scripts for the specified platform
if [ ! -d $DARSHAN_PLATFORM ]; then if [ ! -d $BASEDIR/$DARSHAN_PLATFORM ]; then
echo "Error: unable to find scripts for platform $DARSHAN_PLATFORM" 1>&2 echo "Error: unable to find scripts for platform $DARSHAN_PLATFORM" 1>&2
exit 1 exit 1
fi fi
# set up c compiler for this platform # set up c compiler for this platform
DARSHAN_CC=`$DARSHAN_PLATFORM/setup-cc.sh` DARSHAN_CC=`$BASEDIR/$DARSHAN_PLATFORM/setup-cc.sh`
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
export DARSHAN_CC export DARSHAN_CC
# set up c++ compiler for this platform # set up c++ compiler for this platform
DARSHAN_CXX=`$DARSHAN_PLATFORM/setup-cxx.sh` DARSHAN_CXX=`$BASEDIR/$DARSHAN_PLATFORM/setup-cxx.sh`
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
export DARSHAN_CXX export DARSHAN_CXX
# set up Fortran compilers for this platform # set up Fortran compilers for this platform
DARSHAN_F77=`$DARSHAN_PLATFORM/setup-f77.sh` DARSHAN_F77=`$BASEDIR/$DARSHAN_PLATFORM/setup-f77.sh`
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
export DARSHAN_F77 export DARSHAN_F77
DARSHAN_F90=`$DARSHAN_PLATFORM/setup-f90.sh` DARSHAN_F90=`$BASEDIR/$DARSHAN_PLATFORM/setup-f90.sh`
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
export DARSHAN_F90 export DARSHAN_F90
# set up job execution wrapper for this platform # set up job execution wrapper for this platform
DARSHAN_RUNJOB=`$DARSHAN_PLATFORM/setup-runjob.sh` DARSHAN_RUNJOB=`$BASEDIR/$DARSHAN_PLATFORM/setup-runjob.sh`
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
exit 1 exit 1
fi fi
export DARSHAN_RUNJOB export DARSHAN_RUNJOB
for i in `ls test-cases/*.sh`; do for i in `ls $BASEDIR/test-cases/*.sh`; do
echo Running ${i}... echo Running ${i}...
$i $i
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment